org.fourthline.cling.support.model.item

## Class VideoItem

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.item.Item
    - - org.fourthline.cling.support.model.item.VideoItem

- Direct Known Subclasses:
    Movie, MusicVideoClip, VideoBroadcast

      public class VideoItem
      extends Item

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DIDLObject.Class` | `CLASS`

    - ### Fields inherited from class org.fourthline.cling.support.model.item.Item

      `refID`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoItem()`
    `VideoItem(Item other)`
    `VideoItem(String id, Container parent, String title, String creator, Res... resource)`
    `VideoItem(String id, String parentID, String title, String creator, Res... resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersonWithRole[]` | `getActors()`
    `String` | `getDescription()`
    `Person[]` | `getDirectors()`
    `PersonWithRole` | `getFirstActor()`
    `Person` | `getFirstDirector()`
    `String` | `getFirstGenre()`
    `Person` | `getFirstProducer()`
    `Person` | `getFirstPublisher()`
    `URI` | `getFirstRelation()`
    `String[]` | `getGenres()`
    `String` | `getLanguage()`
    `String` | `getLongDescription()`
    `Person[]` | `getProducers()`
    `Person[]` | `getPublishers()`
    `String` | `getRating()`
    `URI[]` | `getRelations()`
    `VideoItem` | `setActors(PersonWithRole[] persons)`
    `VideoItem` | `setDescription(String description)`
    `VideoItem` | `setDirectors(Person[] persons)`
    `VideoItem` | `setGenres(String[] genres)`
    `VideoItem` | `setLanguage(String language)`
    `VideoItem` | `setLongDescription(String description)`
    `VideoItem` | `setProducers(Person[] persons)`
    `VideoItem` | `setPublishers(Person[] publishers)`
    `VideoItem` | `setRating(String rating)`
    `VideoItem` | `setRelations(URI[] relations)`

    - ### Methods inherited from class org.fourthline.cling.support.model.item.Item

      `getRefID, setRefID`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final DIDLObject.Class CLASS

  - ### Constructor Detail

    - #### VideoItem

          public VideoItem()

    - #### VideoItem

          public VideoItem(Item other)

    - #### VideoItem

          public VideoItem(String id,
                           Container parent,
                           String title,
                           String creator,
                           Res... resource)

    - #### VideoItem

          public VideoItem(String id,
                           String parentID,
                           String title,
                           String creator,
                           Res... resource)

  - ### Method Detail

    - #### getFirstGenre

          public String getFirstGenre()

    - #### getGenres

          public String[] getGenres()

    - #### setGenres

          public VideoItem setGenres(String[] genres)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public VideoItem setDescription(String description)

    - #### getLongDescription

          public String getLongDescription()

    - #### setLongDescription

          public VideoItem setLongDescription(String description)

    - #### getFirstProducer

          public Person getFirstProducer()

    - #### getProducers

          public Person[] getProducers()

    - #### setProducers

          public VideoItem setProducers(Person[] persons)

    - #### getRating

          public String getRating()

    - #### setRating

          public VideoItem setRating(String rating)

    - #### getFirstActor

          public PersonWithRole getFirstActor()

    - #### getActors

          public PersonWithRole[] getActors()

    - #### setActors

          public VideoItem setActors(PersonWithRole[] persons)

    - #### getFirstDirector

          public Person getFirstDirector()

    - #### getDirectors

          public Person[] getDirectors()

    - #### setDirectors

          public VideoItem setDirectors(Person[] persons)

    - #### getFirstPublisher

          public Person getFirstPublisher()

    - #### getPublishers

          public Person[] getPublishers()

    - #### setPublishers

          public VideoItem setPublishers(Person[] publishers)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public VideoItem setLanguage(String language)

    - #### getFirstRelation

          public URI getFirstRelation()

    - #### getRelations

          public URI[] getRelations()

    - #### setRelations

          public VideoItem setRelations(URI[] relations)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.